%define _disable_ld_as_needed 1
%define _disable_ld_no_undefined 1

Name: kopete-otr
Summary: Kopete OTR plugin
Version: 0.7
Epoch: 1
Release: %mkrel 4
Source: http://kopete-otr.follefuder.org/%name-%version.tar.bz2
URL: http://kopete-otr.follefuder.org/
License: GPLv2+
Group: System/Configuration/Hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: qt3-devel
BuildRequires: kdelibs-devel 
BuildRequires: kdenetwork3-devel 
BuildRequires: libotr-devel
Requires: kopete3

%description
This plugin enables Off-The-Record encryption for the KDE instant messenger
Kopete.  Using this plugin you can encrypt chatsessions to other users with
IM-Cients supporting the OTR encryption method.

%files -f kopete_otr.lang
%defattr(-,root,root)
%_kde3_datadir/services/*
%_kde3_docdir/HTML/*/*
%_kde3_datadir/apps/*
%_kde3_datadir/config.kcfg/*
%_kde3_iconsdir/*/*/*/*
%_kde3_libdir/kde3/*
%_kde3_libdir/*.so.*
%_kde3_libdir/*.so
%_kde3_libdir/*.la

%prep
%setup -q 

%build
%configure_kde3 

%make

%install
rm -rf %buildroot

%makeinstall_std

%find_lang kopete_otr

%clean
rm -rf %buildroot


%changelog
* Thu Apr 23 2009 Helio Chissini de Castro <helio@mandriva.com> 1:0.7-4mdv2009.1
+ Revision: 368895
- Fix build and requires

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - fix description

* Fri Jan 25 2008 Funda Wang <fundawang@mandriva.org> 1:0.7-1mdv2008.1
+ Revision: 158000
- New version 0.7

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Jun 06 2007 Helio Chissini de Castro <helio@mandriva.com> 1:0.4-1mdv2008.0
+ Revision: 36071
- import kopete-otr-0.4-1mdv2008.0


